# Created by pyp2rpm-0.5.1
%global pypi_name lettuce

Name:           python-%{pypi_name}
Version:        0.2.4
Release:        1%{?dist}
Summary:        Behaviour Driven Development for Python

License:        UNKNOWN
URL:            http://pypi.python.org/pypi/lettuce/0.2.4
Source0:        http://pypi.python.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# to get tests:
# git clone https://github.com/gabrielfalcao/lettuce.git && cd lettuce
# git checkout 0.2.4 && tar -czf lettuce-0.2.4-tests.tgz tests/
Source1:	%{pypi_name}-%{version}-tests.tgz
Patch0:         %{pypi_name}-localhost-to-address.patch
BuildArch:      noarch

Requires:       mailcap
Requires:       python-fuzzywuzzy
# If file /etc/mime.types (from mailcap package) is not present, Python returns javascript mimetype
# 'application/x-javascript'. This is IMHO wrong behaviour, as IANA specifies application/javascript.
# application/x-javascript causes 3 tests to fail, so requiring mailcap for now.
# Report to Python: http://bugs.python.org/issue15199
BuildRequires:  mailcap
BuildRequires:  python2-devel
BuildRequires:  python-django
BuildRequires:  python-fuzzywuzzy
BuildRequires:  python-lxml
BuildRequires:  python-mock
BuildRequires:  python-mox
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-sure
BuildRequires:  python-tornado


%description
Lettuce is a Behavior Driven Development tool for Python, 100%% inspired on
Cucumber - BDD with elegance and joy.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

tar xzf %{SOURCE1}
%patch0 -p1

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
export PYTHONPATH=$(pwd)
nosetests -s tests/unit
nosetests -s tests/functional
nosetests -s tests/integration


%files
%doc README.md COPYING
%{_bindir}/lettuce
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Jun 20 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.4-1
- Initial package.
